package indyjug.jboss.ejb;

import java.util.Date;
import javax.ejb.CreateException;
import javax.ejb.EntityBean;
import javax.ejb.EntityContext;
import javax.ejb.FinderException;
import javax.ejb.RemoveException;
import javax.naming.NamingException;

public abstract class OrderBean implements EntityBean
{
    private EntityContext ctx;

    public Long ejbCreate(StockLocal stock, String action, Date date,
        double price, double shares)
        throws CreateException, NamingException, FinderException
    {
        setAction(action);
        setDate(date);
        setPrice(new Double(price));
        setShares(new Double(shares));

        return null;
    }

    public void ejbPostCreate(StockLocal stock, String action, Date date,
        double price, double shares)
        throws CreateException, NamingException, FinderException
    {
        setStock(stock);
    }

    public abstract java.lang.Long getId();

    public abstract void setId(java.lang.Long id);

    public abstract StockLocal getStock();

    public abstract void setStock(StockLocal stock);

    public abstract String getAction();

    public abstract void setAction(String action);

    public abstract Date getDate();

    public abstract void setDate(Date date);

    public abstract Double getPrice();

    public abstract void setPrice(Double price);

    public abstract Double getShares();

    public abstract void setShares(Double shares);

    public void ejbLoad()
    {
    }

    public void ejbStore()
    {
    }

    public void ejbActivate()
    {
    }

    public void ejbPassivate()
    {
    }

    public void ejbRemove() throws RemoveException
    {
    }

    public void setEntityContext(EntityContext ctx)
    {
        this.ctx = ctx;
    }

    public void unsetEntityContext()
    {
        this.ctx = null;
    }
}
