package indyjug.jboss.ejb;

import javax.ejb.CreateException;
import javax.ejb.EntityBean;
import javax.ejb.EntityContext;
import javax.ejb.RemoveException;

public abstract class StockBean implements EntityBean
{
    private EntityContext ctx;

    public String ejbCreate(String exchange, String symbol, String name,
        double price) throws CreateException
    {
        setExchange(exchange);
        setSymbol(symbol);
        setName(name);
        setPrice(new Double(price));

        return null;
    }

    public void ejbPostCreate(String exchange, String symbol, String name,
        double price) throws CreateException
    {
    }

    public abstract String getExchange();

    public abstract void setExchange(String exchange);

    public abstract String getSymbol();

    public abstract void setSymbol(String symbol);

    public abstract String getName();

    public abstract void setName(String name);

    public abstract Double getPrice();

    public abstract void setPrice(Double price);

    public void ejbLoad()
    {
    }

    public void ejbStore()
    {
    }

    public void ejbActivate()
    {
    }

    public void ejbPassivate()
    {
    }

    public void ejbRemove() throws RemoveException
    {
    }

    public void setEntityContext(EntityContext ctx)
    {
        this.ctx = ctx;
    }

    public void unsetEntityContext()
    {
        this.ctx = null;
    }
}
