package indyjug.jboss.ejb;

public class StockValue implements java.io.Serializable
{
    private String exchange;
    private String symbol;
    private String name;
    private Double price;

    public StockValue()
    {
    }

    public StockValue(String exchange, String symbol, String name, double price)
    {
        this(exchange, symbol, name, new Double(price));
    }

    public StockValue(String exchange, String symbol, String name, Double price)
    {
        setExchange(exchange);
        setSymbol(symbol);
        setName(name);
        setPrice(price);
    }

    public String getExchange()
    {
        return exchange;
    }

    public void setExchange(String exchange)
    {
        this.exchange = exchange;
    }

    public String getSymbol()
    {
        return symbol;
    }

    public void setSymbol(String symbol)
    {
        this.symbol = symbol;
    }

    public String getName()
    {
        return name;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public Double getPrice()
    {
        return price;
    }

    public void setPrice(Double price)
    {
        this.price = price;
    }

    public String toString()
    {
        StringBuffer str = new StringBuffer("[");

        str.append("exchange=" + getExchange() + " " + "symbol=" + getSymbol() +
            " " + "name=" + getName() + " " + "price=" + getPrice());
        str.append(']');

        return (str.toString());
    }

    public boolean equals(Object other)
    {
        if (this == other)
        {
            return true;
        }

        if (other instanceof StockValue)
        {
            StockValue that = (StockValue)other;
            boolean lEquals = true;

            return lEquals;
        }
        else
        {
            return false;
        }
    }

    public int hashCode()
    {
        int result = 17;
        result = (37 * result) +
            ((this.exchange != null) ? this.exchange.hashCode() : 0);

        result = (37 * result) +
            ((this.symbol != null) ? this.symbol.hashCode() : 0);

        result = (37 * result) +
            ((this.name != null) ? this.name.hashCode() : 0);

        result = (37 * result) +
            ((this.price != null) ? this.price.hashCode() : 0);

        return result;
    }
}
